# Interface CodeNarcReports

All Superinterfaces:
  `Collection<SingleFileReport>, org.gradle.util.Configurable<ReportContainer<SingleFileReport>>, DomainObjectCollection<SingleFileReport>, Iterable<SingleFileReport>, NamedDomainObjectCollection<SingleFileReport>, NamedDomainObjectSet<SingleFileReport>, ReportContainer<SingleFileReport>, Set<SingleFileReport>`

public interface CodeNarcReports extends ReportContainer<SingleFileReport>
The reporting configuration for the `CodeNarc` test.

## Nested Class Summary

### Nested classes/interfaces inherited from interface ReportContainer

`ReportContainer.ImmutableViolationException`

## Method Summary

Modifier and Type
Method
Description
`SingleFileReport`
`getHtml()`
The codenarc HTML report
`SingleFileReport`
`getText()`
The codenarc text report
`SingleFileReport`
`getXml()`
The codenarc XML report

### Methods inherited from interface Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface org.gradle.util.Configurable

`configure`

### Methods inherited from interface DomainObjectCollection

`all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

### Methods inherited from interface Iterable

`forEach`

### Methods inherited from interface NamedDomainObjectCollection

`add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName`

### Methods inherited from interface NamedDomainObjectSet

`findAll, matching, matching, withType`

### Methods inherited from interface ReportContainer

`getAsMap, getEnabled, getEnabledDirectoryReportDestinations, getEnabledFileReportDestinations, getEnabledReportNames, getNamer, getNames, getRules, isEmpty`

### Methods inherited from interface Set

`add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

## Method Details

### getXml

@Internal SingleFileReport getXml()
The codenarc XML report

Returns:
  The codenarc XML report

### getHtml

@Internal SingleFileReport getHtml()
The codenarc HTML report

Returns:
  The codenarc HTML report

### getText

@Internal SingleFileReport getText()
The codenarc text report

Returns:
  The codenarc text report